com.trendmicro.ds.platform.rest.object

## Enum ReportTemplate.Format

- java.lang.Object
- - java.lang.Enum<ReportTemplate.Format>
  - - com.trendmicro.ds.platform.rest.object.ReportTemplate.Format

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<ReportTemplate.Format>
  Enclosing class:
    ReportTemplate

      public static enum ReportTemplate.Format
      extends java.lang.Enum<ReportTemplate.Format>

  Report format.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `CSV`
    `HTML`
    `PDF`
    `PLAINTEXT`
    `RTF`
    `XLS`
    `XML`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static ReportTemplate.Format` | `forValue(int value)`
    `int` | `getValue()`
    `static ReportTemplate.Format` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static ReportTemplate.Format[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### PDF

          public static final ReportTemplate.Format PDF

    - #### CSV

          public static final ReportTemplate.Format CSV

    - #### HTML

          public static final ReportTemplate.Format HTML

    - #### PLAINTEXT

          public static final ReportTemplate.Format PLAINTEXT

    - #### RTF

          public static final ReportTemplate.Format RTF

    - #### XLS

          public static final ReportTemplate.Format XLS

    - #### XML

          public static final ReportTemplate.Format XML

  - ### Method Detail

    - #### values

          public static ReportTemplate.Format[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (ReportTemplate.Format c : ReportTemplate.Format.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static ReportTemplate.Format valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### getValue

          public int getValue()

    - #### forValue

          public static ReportTemplate.Format forValue(int value)

Copyright © 2017 Trend Micro Inc. All Rights Reserved.